Bug 1000614 - Ruby cartridge should test for GEAR_DNS == APP_DNS in control#threaddump
Ruby cartridge should test for GEAR_DNS == APP_DNS in control#threaddump
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Hiro Asari
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 16:33 EDT by Jhon Honce
Modified: 2015-05-14 19:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:55:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jhon Honce 2013-08-23 16:33:21 EDT
Description of problem:
Ruby cartridge is using GEAR_UUID != APP_UUID to test if running on the head gear it should be using GEAR_DNS != APP_DNS

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Hiro Asari 2013-08-26 09:28:53 EDT
https://github.com/openshift/origin-server/pull/3495

Could possibly be related to Bug 974933.
Comment 2 openshift-github-bot 2013-08-27 13:43:55 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/18fc5069f67064dde1bf4e6e83a18d9adb1a41bb
Bug 1000614

Prefer `*_DNS` to `*_UUID`.
Comment 3 Yan Du 2013-08-28 04:37:20 EDT
test on devenv_3716, same error as Bug 974933 when threaddump a scale up gear.

steps:
1. create ruby scalable app

2. visit the app and run rhc threaddump
[root@Daphne test]# rhc threaddump ruby19
Success
The thread dump file will be available via: rhc tail ruby19 -f
/var/lib/openshift/816631724363555310403584/ruby//logs//error_log-20130828-* -o '-n 250'

3. scale up

4. visit the app and run rhc threaddump again
[root@Daphne test]# rhc threaddump ruby19
Error occured while processing event 'thread-dump':The rhc threaddump command is not supported
on scaled gear: 50d93dd60fb911e3b11c12313b0ca01b. ssh into the gear and issue
~/ruby/bin/control threaddump.

Note You need to log in before you can comment on or make changes to this bug.